Package robocode

# Class GunTurnCompleteCondition

java.lang.Object
robocode.Condition
robocode.GunTurnCompleteCondition

public class GunTurnCompleteCondition extends Condition
A prebuilt condition you can use that indicates your gun has finished turning.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Nathaniel Troutman (contributor)
See Also:
  - `Condition`

## Field Summary

### Fields inherited from class robocode.Condition

`name, priority`

## Constructor Summary

Constructors
Constructor
Description
`GunTurnCompleteCondition(AdvancedRobot robot)`
Creates a new GunTurnCompleteCondition with default priority.
`GunTurnCompleteCondition(AdvancedRobot robot, int priority)`
Creates a new GunTurnCompleteCondition with a specific priority.

## Method Summary

Modifier and Type
Method
Description
`final void`
`cleanup()`
Called by the system in order to clean up references to internal objects.
`boolean`
`test()`
Tests if the gun has stopped turning.

### Methods inherited from class robocode.Condition

`getName, getPriority, setName, setPriority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GunTurnCompleteCondition

public GunTurnCompleteCondition(AdvancedRobot robot)
Creates a new GunTurnCompleteCondition with default priority. The default priority is 80.

Parameters:
  `robot` - your robot, which must be a `AdvancedRobot`

### GunTurnCompleteCondition

public GunTurnCompleteCondition(AdvancedRobot robot, int priority)
Creates a new GunTurnCompleteCondition with a specific priority. A condition priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

Parameters:
  `robot` - your robot, which must be a `AdvancedRobot`
  `priority` - the priority of this condition
See Also:
  - `Condition.setPriority(int)`

## Method Details

### test

public boolean test()
Tests if the gun has stopped turning.

Specified by:
  `test` in class `Condition`
Returns:
  `true` if the gun has stopped turning; `false` otherwise

### cleanup

public final void cleanup()
Called by the system in order to clean up references to internal objects.

Overrides:
  `cleanup` in class `Condition`
Since:
  1.4.3